为何我用pycharm新建一个项目,默认是pip9,setuptools28啊?

feng321
sfdf 04月11日 字数 141
loading ...

我已经装了pip20,setuptools46,可是新建项目的时候,仍然用的pip9,setuptools28,升级也升级不上去。如果设置,自动用pip20啊?

Python Python的自由天空
9 个回复
javaboy
喝了咖啡就话多-_-; 04月11日

pip是个很小的包,随便谁都可以自带一个。比如python也自带了一个。

你试试这个命令能否解决。

pip install --upgrade pip

搞不定的话,就靠基本功调试PATH变量吧。。

【 在 feng321 (sfdf) 的大作中提到: 】

: 我已经装了pip20,setuptools46,可是新建项目的时候,仍然用的pip9,setuptools28,升级也升级不上去。如果设置,自动用pip20啊?

feng321
sfdf 04月11日

你用pycharm新建一个项目的时候,是用的最新pip和setuptools吗?

【 在 javaboy 的大作中提到: 】

: pip是个很小的包,随便谁都可以自带一个。比如python也自带了一个。

: 你试试这个命令能否解决。

: pip install --upgrade pip

: ...................

javaboy
喝了咖啡就话多-_-; 04月11日

我不用pycharm啊。。。

【 在 feng321 (sfdf) 的大作中提到: 】

: 你用pycharm新建一个项目的时候,是用的最新pip和setuptools吗?

feng321
sfdf 04月11日

你用什么写python?

【 在 javaboy 的大作中提到: 】

: 我不用pycharm啊。。。

javaboy
喝了咖啡就话多-_-; 04月11日

我就普通的编辑器写啊。

sublime text编辑,然后用命令行跑。

【 在 feng321 (sfdf) 的大作中提到: 】

: 你用什么写python?

freesand
freesand 04月11日

新建的虚拟环境将带有相应发行版所用的pip版本,例如Python3.8大概是pip19

chenjinyuan
心梦如水 04月11日

因为默认是用的venv而不是你系统里那个python

【 在 feng321 的大作中提到: 】

: 我已经装了pip20,setuptools46,可是新建项目的时候,仍然用的pip9,setuptools28,升级也升级不上去。如果设置,自动用pip20啊?

feng321
sfdf 04月11日

我用的python3.6,没车pip都是9.要不要再装个python3.8?目前python最新版本多少?

【 在 freesand 的大作中提到: 】

: 新建的虚拟环境将带有相应发行版所用的pip版本,例如Python3.8大概是pip19

feng321
sfdf 04月11日

强制升级成功,--force_reinstall

【 在 chenjinyuan 的大作中提到: 】

: 因为默认是用的venv而不是你系统里那个python